{
    "$graph": [
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=batch-merge",
                "sentinel_outputs=vrn_file_joint",
                "sentinel_inputs=jointvc_batch_rec:record,region:var,vrn_file_region:var"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "concat_batch_variantcalls_jointvc",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "outdirMin": 50619,
                    "ramMin": 3584,
                    "tmpdirMin": 49595
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "bcftools",
                            "specs": [
                                "https://anaconda.org/bioconda/bcftools"
                            ]
                        },
                        {
                            "package": "htslib",
                            "specs": [
                                "https://anaconda.org/bioconda/htslib"
                            ]
                        },
                        {
                            "package": "gatk4",
                            "specs": [
                                "https://anaconda.org/bioconda/gatk4"
                            ]
                        },
                        {
                            "package": "gatk",
                            "specs": [
                                "https://anaconda.org/bioconda/gatk"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "id": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#concat_batch_variantcalls_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#concat_batch_variantcalls_jointvc.cwl/region",
                    "type": {
                        "items": "string",
                        "type": "array"
                    }
                },
                {
                    "id": "#concat_batch_variantcalls_jointvc.cwl/vrn_file_region",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": {
                        "items": "File",
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#concat_batch_variantcalls_jointvc.cwl",
            "outputs": [
                {
                    "id": "#concat_batch_variantcalls_jointvc.cwl/vrn_file_joint",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                }
            ]
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=batch-single",
                "sentinel_outputs=jointvc_rec:description;resources;validate__summary;validate__tp;validate__fp;validate__fn;vrn_file;config__algorithm__validate;reference__fasta__base;config__algorithm__variantcaller;reference__snpeff__GRCh38_86;config__algorithm__coverage_interval;metadata__batch;metadata__phenotype;reference__twobit;config__algorithm__validate_regions;genome_build;genome_resources__aliases__human;config__algorithm__tools_off;genome_resources__variation__dbsnp;genome_resources__variation__cosmic;reference__genome_context;analysis;config__algorithm__tools_on;config__algorithm__variant_regions;genome_resources__aliases__ensembl;reference__rtg;genome_resources__aliases__snpeff;align_bam;regions__sample_callable;config__algorithm__callable_regions;vrn_file_joint",
                "sentinel_inputs=jointvc_batch_rec:record,vrn_file_joint:var"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "finalize_jointvc",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "outdirMin": 50619,
                    "ramMin": 3584,
                    "tmpdirMin": 49595
                }
            ],
            "inputs": [
                {
                    "id": "#finalize_jointvc.cwl/jointvc_batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#finalize_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#finalize_jointvc.cwl/vrn_file_joint",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                }
            ],
            "outputs": [
                {
                    "id": "#finalize_jointvc.cwl/jointvc_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec/vrn_file_joint",
                                    "type": "File"
                                }
                            ],
                            "name": "#finalize_jointvc.cwl/jointvc_rec/jointvc_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#finalize_jointvc.cwl"
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=batch-split",
                "sentinel_outputs=region",
                "sentinel_inputs=jointvc_batch_rec:record"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "get_parallel_regions_jointvc",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "outdirMin": 50619,
                    "ramMin": 3584,
                    "tmpdirMin": 49595
                }
            ],
            "inputs": [
                {
                    "id": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#get_parallel_regions_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#get_parallel_regions_jointvc.cwl/region",
                    "type": {
                        "items": "string",
                        "type": "array"
                    }
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#get_parallel_regions_jointvc.cwl"
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=batch-single",
                "sentinel_outputs=vrn_file_joint",
                "sentinel_inputs=jointvc_batch_rec:record,vrn_file_joint:var"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "postprocess_variants",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 16,
                    "outdirMin": 50619,
                    "ramMin": 57344,
                    "tmpdirMin": 49595
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "snpeff",
                            "specs": [
                                "https://anaconda.org/bioconda/snpeff"
                            ],
                            "version": [
                                "4.3i"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "id": "#postprocess_variants.cwl/jointvc_batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#postprocess_variants.cwl/jointvc_batch_rec/jointvc_batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#postprocess_variants.cwl/vrn_file_joint_toolinput",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                }
            ],
            "outputs": [
                {
                    "id": "#postprocess_variants.cwl/vrn_file_joint",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#postprocess_variants.cwl"
        },
        {
            "arguments": [
                {
                    "position": 0,
                    "valueFrom": "sentinel_runtime=cores,$(runtime['cores']),ram,$(runtime['ram'])"
                },
                "sentinel_parallel=batch-parallel",
                "sentinel_outputs=vrn_file_region,region",
                "sentinel_inputs=jointvc_batch_rec:record,region:var"
            ],
            "baseCommand": [
                "bcbio_nextgen.py",
                "runfn",
                "run_jointvc",
                "cwl"
            ],
            "class": "CommandLineTool",
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerImageId": "quay.io/bcbio/bcbio-vc",
                    "dockerPull": "quay.io/bcbio/bcbio-vc"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": 1,
                    "outdirMin": 50619,
                    "ramMin": 3584,
                    "tmpdirMin": 49595
                },
                {
                    "class": "SoftwareRequirement",
                    "packages": [
                        {
                            "package": "gatk4",
                            "specs": [
                                "https://anaconda.org/bioconda/gatk4"
                            ]
                        },
                        {
                            "package": "gatk",
                            "specs": [
                                "https://anaconda.org/bioconda/gatk"
                            ]
                        },
                        {
                            "package": "gvcftools",
                            "specs": [
                                "https://anaconda.org/bioconda/gvcftools"
                            ]
                        }
                    ]
                }
            ],
            "inputs": [
                {
                    "id": "#run_jointvc.cwl/jointvc_batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#run_jointvc.cwl/jointvc_batch_rec/jointvc_batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#run_jointvc.cwl/region_toolinput",
                    "type": "string"
                }
            ],
            "outputs": [
                {
                    "id": "#run_jointvc.cwl/vrn_file_region",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                },
                {
                    "id": "#run_jointvc.cwl/region",
                    "type": "string"
                }
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(JSON.stringify(inputs))",
                            "entryname": "cwl.inputs.json"
                        }
                    ]
                }
            ],
            "id": "#run_jointvc.cwl"
        },
        {
            "class": "Workflow",
            "hints": [],
            "inputs": [
                {
                    "id": "#main/jointvc_batch_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_batch_rec/jointvc_batch_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                }
                            ],
                            "name": "#main/jointvc_batch_rec/jointvc_batch_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#main/jointvc_rec",
                    "outputSource": "#main/finalize_jointvc/jointvc_rec",
                    "type": {
                        "items": {
                            "fields": [
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/description",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/resources",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/validate__summary",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/validate__tp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/validate__fp",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/validate__fn",
                                    "type": [
                                        "File",
                                        "null"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/vrn_file",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/config__algorithm__validate",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/reference__fasta__base",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/config__algorithm__variantcaller",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/reference__snpeff__GRCh38_86",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/config__algorithm__coverage_interval",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/metadata__batch",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/metadata__phenotype",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/reference__twobit",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/config__algorithm__validate_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/genome_build",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/genome_resources__aliases__human",
                                    "type": [
                                        "string",
                                        "null",
                                        "boolean"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/config__algorithm__tools_off",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/genome_resources__variation__dbsnp",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/genome_resources__variation__cosmic",
                                    "type": [
                                        "null",
                                        "string"
                                    ]
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/reference__genome_context",
                                    "type": {
                                        "items": "File",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/analysis",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/config__algorithm__tools_on",
                                    "type": {
                                        "items": "string",
                                        "type": "array"
                                    }
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/config__algorithm__variant_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/genome_resources__aliases__ensembl",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/reference__rtg",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/genome_resources__aliases__snpeff",
                                    "type": "string"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/align_bam",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/regions__sample_callable",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/config__algorithm__callable_regions",
                                    "type": "File"
                                },
                                {
                                    "name": "#main/jointvc_rec/jointvc_rec/vrn_file_joint",
                                    "type": "File"
                                }
                            ],
                            "name": "#main/jointvc_rec/jointvc_rec",
                            "type": "record"
                        },
                        "type": "array"
                    }
                },
                {
                    "id": "#main/vrn_file_joint",
                    "outputSource": "#main/postprocess_variants/vrn_file_joint",
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "type": "File"
                }
            ],
            "requirements": [
                {
                    "class": "EnvVarRequirement",
                    "envDef": [
                        {
                            "envName": "MPLCONFIGDIR",
                            "envValue": "."
                        }
                    ]
                },
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "steps": [
                {
                    "id": "#main/get_parallel_regions_jointvc",
                    "in": [
                        {
                            "id": "#main/get_parallel_regions_jointvc/jointvc_batch_rec",
                            "source": "#main/jointvc_batch_rec"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/get_parallel_regions_jointvc/region"
                        }
                    ],
                    "run": "#get_parallel_regions_jointvc.cwl"
                },
                {
                    "id": "#main/run_jointvc",
                    "in": [
                        {
                            "id": "#main/run_jointvc/jointvc_batch_rec",
                            "source": "#main/jointvc_batch_rec"
                        },
                        {
                            "id": "#main/run_jointvc/region_toolinput",
                            "source": "#main/get_parallel_regions_jointvc/region"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/run_jointvc/vrn_file_region"
                        },
                        {
                            "id": "#main/run_jointvc/region"
                        }
                    ],
                    "run": "#run_jointvc.cwl",
                    "scatter": [
                        "#main/run_jointvc/region_toolinput"
                    ],
                    "scatterMethod": "dotproduct"
                },
                {
                    "id": "#main/concat_batch_variantcalls_jointvc",
                    "in": [
                        {
                            "id": "#main/concat_batch_variantcalls_jointvc/jointvc_batch_rec",
                            "source": "#main/jointvc_batch_rec"
                        },
                        {
                            "id": "#main/concat_batch_variantcalls_jointvc/region",
                            "source": "#main/run_jointvc/region"
                        },
                        {
                            "id": "#main/concat_batch_variantcalls_jointvc/vrn_file_region",
                            "source": "#main/run_jointvc/vrn_file_region"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/concat_batch_variantcalls_jointvc/vrn_file_joint"
                        }
                    ],
                    "run": "#concat_batch_variantcalls_jointvc.cwl"
                },
                {
                    "id": "#main/postprocess_variants",
                    "in": [
                        {
                            "id": "#main/postprocess_variants/jointvc_batch_rec",
                            "source": "#main/jointvc_batch_rec"
                        },
                        {
                            "id": "#main/postprocess_variants/vrn_file_joint_toolinput",
                            "source": "#main/concat_batch_variantcalls_jointvc/vrn_file_joint"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/postprocess_variants/vrn_file_joint"
                        }
                    ],
                    "run": "#postprocess_variants.cwl"
                },
                {
                    "id": "#main/finalize_jointvc",
                    "in": [
                        {
                            "id": "#main/finalize_jointvc/jointvc_batch_rec",
                            "source": "#main/jointvc_batch_rec"
                        },
                        {
                            "id": "#main/finalize_jointvc/vrn_file_joint",
                            "source": "#main/postprocess_variants/vrn_file_joint"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/finalize_jointvc/jointvc_rec"
                        }
                    ],
                    "run": "#finalize_jointvc.cwl"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
